MACRO BOOST_PRO(3)

NAME
BOOST_PROTO_MAX_ARITY - Controls the maximum number of child nodes an expression may have.

SYNOPSIS

// In header: <boost/proto/proto_fwd.hpp>
BOOST_PROTO_MAX_ARITY

DESCRIPTION

BOOST_PROTO_MAX_ARITY defaults to 5. It may be set higher or lower, but not lower than 3. Setting it higher will have a negative effect on compile times.

See also BOOST_PROTO_MAX_FUNCTION_CALL_ARITY.